## org.apache.mahout.df.mapreduce
Class Classifier.CTextInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>
              org.apache.hadoop.mapreduce.lib.input.TextInputFormat
                  org.apache.mahout.df.mapreduce.Classifier.CTextInputFormat

Enclosing class:
  Classifier

    public static class Classifier.CTextInputFormat

extends org.apache.hadoop.mapreduce.lib.input.TextInputFormat

TextInputFormat that does not split the input files. This ensures that each input file is processed by one single mapper.

Constructor Summary
`Classifier.CTextInputFormat()`

Method Summary
`protected boolean` `isSplitable(org.apache.hadoop.mapreduce.JobContext jobContext, org.apache.hadoop.fs.Path path)`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.TextInputFormat
`createRecordReader`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Classifier.CTextInputFormat

    public Classifier.CTextInputFormat()

Method Detail

### isSplitable

    protected boolean isSplitable(org.apache.hadoop.mapreduce.JobContext jobContext,
                                  org.apache.hadoop.fs.Path path)

  Overrides:
    `isSplitable` in class `org.apache.hadoop.mapreduce.lib.input.TextInputFormat`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.